isync(1)

NAME
isync - synchronize IMAP4 and Maildir mailboxes

SYNOPSIS
isync [options ...] {mailbox ...|-a|-l}

DESCRIPTION
isync is a command line application which synchronizes local Maildir mailboxes with remote IMAP4 mailboxes, suitable for use in IMAP-disconnected mode. Multiple copies of the remote IMAP4 mailboxes can be maintained, and all flags are synchronized.
isync is only a wrapper binary around mbsync to simplify upgrades. It will automatically migrate the UID mapping from previous versions of isync (even before 0.8) to the new format, and transparently call mbsync. If you were using isync version 0.8 or 0.9.x you might want to use mdconvert to convert the mailboxes to the more efficient native UID storage scheme after migrating them.
isync is deprecated. Please use the -w option to permanently migrate the configuration and start using mbsync directly.

OPTIONS

-c, --config file
    Read configuration from file. By default, the configuration is read from ~/.isyncrc if it exists.

-1, --one-to-one
    Instead of using the mailbox specifications in ~/.isyncrc, isync will pick up all mailboxes from the local directory and remote folder and map them 1:1 onto each other according to their names.

-I, --inbox mailbox
    Exception to the 1:1 mapping created by -1: the special IMAP mailbox INBOX is mapped to the local mailbox (relative to the maildir).

-a, --all
    Synchronize all mailboxes (either specified in ~/.isyncrc or determined by the 1:1 mapping).

-l, --list
    Don't synchronize anything, but list all mailboxes and exit.

-L, --create-local
    Automatically create the local Maildir mailbox if it doesn't already exist.

-R, --create-remote
    Automatically create the remote IMAP mailbox if it doesn't already exist.

-C, --create
    Automatically create any mailboxes if they don't already exist. This is simply a combination of -L and -R.

-d, --delete
    Causes isync to propagate message deletions. By default, dead messages are not deleted.

-e, --expunge
    Causes isync to permanently remove all messages marked for deletion. By default, deleted messages are not expunged.

-f, --fast
    Only fetch new messages existing on the server into the local mailbox. Message deletions and flag changes will not be propagated.

-h, --help
    Displays a summary of command line options

-p, --port port
    Specifies the port on the IMAP server to connect to (default: 143 for imap, 993 for imaps)

-q, --quiet
    Suppress informational messages. If specified twice, suppress warning messages as well.

-r, --remote box
    Specifies the name of the remote IMAP mailbox to synchronize with (Default: INBOX)

-s, --host [imaps:]host
    Specifies the hostname of the IMAP server

-u, --user user
    Specifies the login name to access the IMAP server (default: $USER)

-P, --pass password
    Specifies the password to access the IMAP server (prompted for by default)

-M, --maildir dir
    Specifies the location for your local mailboxes.

-F, --folder folder/
    Specifies the location for your remote mailboxes.

-v, --version
    Displays isync version information.

-V, --verbose
    Enables verbose mode, which displays the IMAP4 network traffic.

-D, --debug
    Enable printing of debug messages.

-w, --write
    Don't run mbsync, but instead write a permanent config file for it. The UID mappings of all configured mailboxes will be migrated. Note that most command line options that would affect an actual sync operation will be incorporated into the new config file as well; exceptions are --fast and --create[-remote|-local]. The name of the new config file is determined by replacing the last occurrence of "isync" with "mbsync", or appending ".mbsync" if "isync" was not found.

-W, --writeto file
    Like -w, but use the specified name for the new config file.

CONFIGURATION
isync by default reads ~/.isyncrc to load configuration data. Each non-empty line of the configuration file that does not start with a hash mark consists of a command. The following commands are understood:

Mailbox path
    Defines a local Maildir mailbox. All configuration commands following this line, up until the next Mailbox command, apply to this mailbox only.

Host [imaps:]name
    Defines the DNS name or IP address of the IMAP server. If the hostname is prefixed with imaps: the connection is assumed to be a SSL connection to port 993 (though you can change this by placing a Port command after the Host command). Note that modern servers support SSL on the default port 143. isync will always attempt to use SSL if available.

Port port
    Defines the TCP port number of the IMAP server (Default: 143 for imap, 993 for imaps)

Box mailbox
    Defines the name of the remote IMAP mailbox associated with the local Maildir mailbox (Default: INBOX)

User username
    Defines the login name on the IMAP server (Default: current user)

Pass password
    Defines the password for username on the IMAP server. Note that this option is NOT required. If no password is specified in the configuration file, isync will prompt you for it.

Alias string
    Defines an alias for the mailbox which can be used as a shortcut on the command line.

CopyDeletedTo mailbox
    Specifies the remote IMAP mailbox to copy deleted messages to prior to expunging (Default: none).

Delete yes|no
    Specifies whether message deletions are propagated. (Default: no). NOTE: The -d command line option overrides this setting when set to no.

Expunge yes|no
    Specifies whether deleted messages are expunged. (Default: no). NOTE: The -e command line option overrides this setting when set to no.

MailDir directory
    Specifies the location of your local mailboxes if a relative path is specified in a Mailbox command (Default: ~). NOTE: This directive is allowed only in the global section (see below).

Folder directory/
    Specifies the location of your IMAP mailboxes specified in Box commands (Default: ""). NOTE: You must append the hierarchy delimiter (usually a slash) to this specification. NOTE 2: This directive is allowed only in the global section (see below).

MaxMessages count
    Sets the number of messages isync should keep in the local copy of a mailbox. This is useful for mailboxes where you keep a complete archive on the server, but want to mirror only the last messages (for instance, for mailing lists). The messages that were the first to arrive in the mailbox (independently of the actual date of the message) will be deleted first. Messages that are flagged (marked as important) and unread messages will not be automatically deleted. If count is 0, the maximum number of messages is unlimited. (Default: 0)

MaxSize bytes
    Messages larger than that many bytes will not be transferred over the wire. This is useful for weeding out messages with large attachments. If bytes is 0, the maximum file size is unlimited. (Default: 0)

Tunnel command
    Specify a command to run to establish a connection rather than opening a TCP socket. This allows you to run an IMAP session over an SSH tunnel, for example.

UseNamespace yes|no
    Selects whether the server's first "personal" NAMESPACE should be prefixed to mailbox names. Disabling this makes sense for some broken IMAP servers. This option is meaningless if a Folder was specified. (Default: yes)

RequireCRAM yes|no
    If set to yes, isync will abort the connection if no CRAM-MD5 authentication is possible. (Default: no)

RequireSSL yes|no
    isync will abort the connection if a TLS/SSL session cannot be established with the IMAP server. (Default: yes)

CertificateFile path
    File containing additional X.509 certificates used to verify server identities. Directly matched peer certificates are always trusted, regardless of validity.
    Note that the system's default certificate store is always used and should not be specified here.

UseSSLv2 yes|no
    Should isync use SSLv2 for communication with the IMAP server over SSL? (Default: no)

UseSSLv3 yes|no
    Should isync use SSLv3 for communication with the IMAP server over SSL? (Default: yes if the imaps port is used, otherwise no)

UseTLSv1 yes|no
    Should isync use TLSv1.x for communication with the IMAP server over SSL? (Default: yes)

OneToOne
    isync will ignore any Mailbox specifications and instead pick up all mailboxes from the local MailDir and remote Folder and map them 1:1 onto each other according to their names. NOTE: This directive is allowed only in the global section (see below).

Inbox mailbox
    Exception to the OneToOne mapping: the special IMAP mailbox INBOX is mapped to the local mailbox (relative to the MailDir). NOTE: This directive is only meaningful in the global section (see below).

Configuration commands that appear prior to the first Mailbox command are considered to be global options which are used as defaults when those specific options are not specifically set for a defined Mailbox. For example, if you use the same login name for several IMAP servers, you can put a User command before the first Mailbox command, and then leave out the User command in the sections for each mailbox. isync will then use the global value by default.

FILES

~/.isyncrc
    Default configuration file

BUGS
The configuration file takes precedence over command line options.
Use -c /dev/null to work around.

See the INHERENT PROBLEMS section in the mbsync man page, too.

SEE ALSO
mbsync(1), mdconvert(1), mutt(1), maildir(5)

Up to date information on isync can be found at http://isync.sf.net/

AUTHORS
Originally written by Michael R. Elkins, currently maintained by Oswald Buddenhagen.